
From: Kumar Gala <galak@somerset.sps.mot.com>

This patch adds OCP, interrupt, and memory offset details for the security
block on MPC8555/8541 to support drivers.

Signed-off-by: Kumar Gala <kumar.gala@freescale.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc/platforms/85xx/mpc8555.c |    7 +++++++
 25-akpm/include/asm-ppc/mpc85xx.h         |    3 +++
 25-akpm/include/asm-ppc/ocp_ids.h         |    1 +
 3 files changed, 11 insertions(+)

diff -puN arch/ppc/platforms/85xx/mpc8555.c~added-mpc8555-8541-security-block-infrastructure arch/ppc/platforms/85xx/mpc8555.c
--- 25/arch/ppc/platforms/85xx/mpc8555.c~added-mpc8555-8541-security-block-infrastructure	2004-11-08 21:32:44.146915960 -0800
+++ 25-akpm/arch/ppc/platforms/85xx/mpc8555.c	2004-11-08 21:33:16.213041168 -0800
@@ -77,6 +77,13 @@ struct ocp_def core_ocp[] = {
           .pm           = OCP_CPM_NA,
         },
         { .vendor       = OCP_VENDOR_FREESCALE,
+          .function     = OCP_FUNC_SEC2,
+          .index        = 0,
+          .paddr        = MPC85xx_SEC2_OFFSET,
+          .irq          = MPC85xx_IRQ_SEC2,
+          .pm           = OCP_CPM_NA,
+	},
+	{ .vendor       = OCP_VENDOR_FREESCALE,
           .function     = OCP_FUNC_PERFMON,
           .index        = 0,
           .paddr        = MPC85xx_PERFMON_OFFSET,
diff -puN include/asm-ppc/mpc85xx.h~added-mpc8555-8541-security-block-infrastructure include/asm-ppc/mpc85xx.h
--- 25/include/asm-ppc/mpc85xx.h~added-mpc8555-8541-security-block-infrastructure	2004-11-08 21:32:44.147915808 -0800
+++ 25-akpm/include/asm-ppc/mpc85xx.h	2004-11-08 21:32:44.152915048 -0800
@@ -81,6 +81,7 @@ extern unsigned char __res[];
 #define MPC85xx_IRQ_DUART	(26 + MPC85xx_OPENPIC_IRQ_OFFSET)
 #define MPC85xx_IRQ_IIC1	(27 + MPC85xx_OPENPIC_IRQ_OFFSET)
 #define MPC85xx_IRQ_PERFMON	(28 + MPC85xx_OPENPIC_IRQ_OFFSET)
+#define MPC85xx_IRQ_SEC2	(29 + MPC85xx_OPENPIC_IRQ_OFFSET)
 #define MPC85xx_IRQ_CPM		(30 + MPC85xx_OPENPIC_IRQ_OFFSET)
 
 /* The 12 external interrupt lines */
@@ -120,6 +121,8 @@ extern unsigned char __res[];
 #define MPC85xx_PCI2_SIZE	(0x01000)
 #define MPC85xx_PERFMON_OFFSET	(0xe1000)
 #define MPC85xx_PERFMON_SIZE	(0x01000)
+#define MPC85xx_SEC2_OFFSET	(0x30000)
+#define MPC85xx_SEC2_SIZE	(0x10000)
 #define MPC85xx_UART0_OFFSET	(0x04500)
 #define MPC85xx_UART0_SIZE	(0x00100)
 #define MPC85xx_UART1_OFFSET	(0x04600)
diff -puN include/asm-ppc/ocp_ids.h~added-mpc8555-8541-security-block-infrastructure include/asm-ppc/ocp_ids.h
--- 25/include/asm-ppc/ocp_ids.h~added-mpc8555-8541-security-block-infrastructure	2004-11-08 21:32:44.148915656 -0800
+++ 25-akpm/include/asm-ppc/ocp_ids.h	2004-11-08 21:32:44.152915048 -0800
@@ -61,6 +61,7 @@
 #define OCP_FUNC_PERFMON	0x00D2	/* Performance Monitor */
 #define OCP_FUNC_RGMII		0x00D3
 #define OCP_FUNC_TAH		0x00D4
+#define OCP_FUNC_SEC2		0x00D5	/* Crypto/Security 2.0 */
 
 /* Network 0x0200 - 0x02FF */
 #define OCP_FUNC_EMAC		0x0200
_
